# ApiEnableLlamaHaArguments Data Model

This data type has been deprecated.

Arguments used for enable Llama HA command.

Properties
name | data type | description
--- | --- | ---
newLlamaHostId | string | HostId of the host on which the second Llama role will be created.
newLlamaRoleName | string | Name of the second Llama role to be created (optional).
zkServiceName | string | Name of the ZooKeeper service that will be used for auto-failover. This argument may be omitted if the ZooKeeper dependency for Impala is already configured.

Example

    {
      "newLlamaHostId" : "...",
      "newLlamaRoleName" : "...",
      "zkServiceName" : "..."
    }